<!DOCTYPE html>
<html>

	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML - Forms, Tables, and Semantics HTML</title>
	</head>

	<body>
		<!-- header tag is a semantic tag to inform the developer and client that this component is for the header of the webpage -->
		<header>
			<h2 align='center'>HTML Entities</h2>
		</header>

		<main>
			<!-- this section is for the HTML table. -->
			<section>
				<p><em>Reserved characters in HTML (e.g. &lt; or &gt;) that can be mixed up with HTML code.</em></p>

				<!-- border attribute defines the table. -->
				<table border ="2">
					<!-- thead tag is for the header of the table -->
					<thead>
						<!-- tr tag: defines a table row -->
						<!-- First row of our table -->
						<tr>
							<!-- th tag: defines a table header -->
							<!-- colspan attribute changes the amount of columns a table element will occupy
							 -->
							<!-- rowspan attribute changes the amount of rows a table element will occupy -->
							<th colspan = "2">Entity</th>
							<th rowspan = "2">Description</th>
						</tr>

						<!-- Second row of our table -->
						<tr>
							<th>Symbol</th>
							<th>Name/Number</th>
						</tr>
					</thead>

					<!-- tbody tag is for the body of the table. -->
					<tbody>
						<tr>
							<!-- td tag: we use td  for the columns of our tbody -->
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>

						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>

						<tr>
							
							<td>&#8369;</td>
							<td>Peso</td>
							<td>Peso Sign</td>
						</tr>

						<tr>
							<td>&#38;</td>
							<td>Amp</td>
							<td>Ampersand</td>
						</tr>

						<tr>
							
							<td>&#34;</td>
							<td>Quot</td>
							<td>Double Quotation Mark</td>
						</tr>

						<tr>
							<td>&#39;</td>
							<td>Apos</td>
							<td>Single Quotation mark</td>
						</tr>

						<tr>
							
							<td>&#xf1;</td>
							<td>ntilde</td>
							<td>Lower Tilde</td>
						</tr>

						<tr>
							<td>&#209;</td>
							<td>NTilde</td>
							<td>Upper Tilde</td>
						</tr>
					</tbody>

					<!-- tfoot tag is for the footer of the table -->
					<tfoot>
						<tr>
							<th colspan = "3">List of HTML Entities</th>
						</tr>
					</tfoot>
				</table>

			</section>
			<!-- This is the end of the Table section -->

			<!-- This section is for the HTML Form -->
			<section>
				<h2 align='center'>HTML Form</h2>

				<p><em>Input elements that make up a form.</em></p>

				<form>
					<!-- Text inputs -->
					<!-- label-tag: creates a text element that serve as the label for the input field -->
					<!-- type attribute: will define what type of info that input field should -->
					<!-- for attribute:  is used with the id attribute in an input elemennt. This allows users to click the label to type their responses-->
					<!-- name attribute-: it tells the database from the user will be added depending on the method -->
					<!-- value attribute: it is the information that will be passed on the database -->
					<label for="fullname">Full Name:</label><br/>
					<input type="text" name="fullname" id="fullname" required autocomplete/><br/>

					<label for="birthdate">Birthdate:</label><br/>
					<input type="date" name="birthdate" id="birthdate" required autocomplete><br/>

					<label for="age">Age:</label><br/>
					<input type="number" name="age" id="age" required autocomplete=""><br/>

					<!-- dropdown -->
					<label for="gender">Gender</label><br/>
					<select name="gender" id="gender">
						<option value="male">Male</option>
						<option value="female">Female</option>
					</select><br/>

					<!-- text area -->
					<label for="textarea">Suggestion:</label><br/>
					<textarea name="suggestion" rows="5" cols="20" id="textarea" required autocomplete></textarea><br/>

					<!-- radio button -->
					<label for="civilstatus">Civil Status:</label><br/>

					<input type="radio" name="civilstatus" value="single" id="single" />
					<label for="single">Single</label><br/>

					<input type="radio" name="civilstatus" value="married" id="married" />
					<label for="married">Married</label><br/>


					<!-- checkbox -->
					<label>Job:</label><br/>

					<input type="checkbox" name="job1" value="developer" id="developer" />
					<label for="developer">Developer</label><br/>

					<input type="checkbox" name="job2" value="student" id="student" />
					<label for="student">Student</label><br/>

					<input type="checkbox" name="job3" value="manager" id="manager" />
					<label for="manager">Manager</label><br/>

					<button>Submit</button><br/>
					<!-- reset value in type attribute will reset the inputs of the user in the input fields -->
					<button type="reset">Reset</button>

				</form>
			</section>

		</main>
	</body>

</html>